/* This is a simple demo of a Rexx (modelled after the JavaScript) script that
   uses the Java URL class to download some content from some URL. rgf, 2003-01-27 */

   /* use the Java URL class to read data from a WWW server */
URL_ADDR = "http://www.RexxLA.org/";

say "connecting to:" URL_ADDR
url=bsf("registerBean", "", "java.net.URL", "String", URL_ADDR) // create an instance and return a string handle

   /* get the content, a <sun.net.www.http.KeepAliveStream> a subclass of: <sun.net.www.MeteredStream>, a subclass of: <java.io.FilterInputStream> */
content = bsf('invoke', url, "getContent")                  /* get the content object  */
say "Bytes available:" bsf("invoke", content, "available")  /* get # of bytes          */
say "Downloading .. "
ch=""
do until ch=-1                            /* read the content */
   ch=bsf('invoke', content, "read")      /* returns an Integer value representing a Byte or -1 */
   if ch>=0 then call charout , d2c(ch)   /* turn Byte integer value into character */
end
